%define realname xf86-input-xwiimote

Name:       x11-driver-input-xwiimote
Version:    0.5
Release:    %mkrel 11
Summary:    Linux WiiMote Driver for X
Group:      System/X11
License:    XWiimote
URL:        https://github.com/dvdhrm/xf86-input-xwiimote
Source:     https://github.com/dvdhrm/%{realname}/releases/download/%{realname}-%{version}/%{realname}-%{version}.tar.xz

BuildRequires:  x11-util-macros
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(libxwiimote)

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
xwiimote is a WiiMote Driver for X. 

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# blacklist X11 rules
install -d -m 775 %{buildroot}%{_datadir}/X11/xorg.conf.d/
install -m 664 60-xorg-xwiimote.conf %{buildroot}%{_datadir}/X11/xorg.conf.d/

%files
%doc README
%{_libdir}/xorg/modules/input/xwiimote_drv.so
%{_datadir}/X11/xorg.conf.d/60-xorg-xwiimote.conf
%{_mandir}/man4/xorg-xwiimote.*



%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.5-11.mga9
+ Revision: 1838344
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 0.5-10.mga9
+ Revision: 1790057
- fix files list

* Fri Feb 14 2020 umeabot <umeabot> 0.5-9.mga8
+ Revision: 1518475
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.5-8.mga7
+ Revision: 1301745
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 0.5-7.mga7
+ Revision: 1207702
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 0.5-6.mga6
+ Revision: 1067942
- rebuild for xserver 1.19 (though it should just work with libinput...)

* Sat Jul 23 2016 tmb <tmb> 0.5-5.mga6
+ Revision: 1043349
- rebuild for xorg-server 1.18.4

* Mon Feb 01 2016 umeabot <umeabot> 0.5-4.mga6
+ Revision: 930098
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 738879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-2.mga5
+ Revision: 690417
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 alien <alien> 0.5-1.mga5
+ Revision: 673211
- imported package x11-driver-input-xwiimote

